<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>MyWebPage</title>
    <link rel="stylesheet" href="Style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css">
    <link rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Roboto+Condensed">
</head>
<body>
    <!-- Header -->
    <header>
        <div class="navigation">
            <input type="checkbox" id="check">
            <label for="check" class="btn-toggle"><i class="fa-solid fa-bars"></i></label>
            <label class="logo">MySkillHub</label>
            <ul>
                <li><a href="#">Home</a></li>
                <li><a href="#">About</a></li>
                <li><a href="#">Services</a></li>
                <li><a href="#">Contact</a></li>
                <li><button class="login-btn">Login</button></li>
            </ul>
        </div>
    </header>

    <!-- Login Model -->
    <div class="loginModel">
        <div class="container login">
            <span class="closebtn"><i class="fa-solid fa-xmark"></i></span>
            <h1>Login Form</h1>
            <form action="">
                <div class="inputrow">
                    <label for="">Username</label>
                    <input type="text" name="uname" id="uname" class="input-box">
                    <span><i class="fa-solid fa-user"></i></span>
                </div>
                <div class="inputrow">
                    <label for="password">Password</label>
                    <input type="text" name="pwd" id="pwd" class="input-box">
                    <span><i class="fa-solid fa-lock"></i></span>
                </div>
                <div class="remember">
                    <label><input type="checkbox">Remember Me</label>
                    <a href="">Forget Password</a>
                </div>
                <button class="btn">Login</button>
                <div class="register">
                 <p>Don't you have Account?<a href="#" class="register-link">Register</a></p>
                </div>
            </form>
        </div>
    </div>


    <script>
        // loginbtn
        const loginbtn = document.querySelector('.login-btn');
        const boxmodel = document.querySelector('.loginModel');
        const closebtn = document.querySelector('.closebtn');
        const registerLink= document.querySelector('.register-link');
        const loginLink= document.querySelector('.login-link');
        function activateModel(){
            boxmodel.classList.add('active-popup')
        }
        function deactivateModel(){
            boxmodel.classList.remove('active-popup')
        }
        loginbtn.addEventListener('click',activateModel);
        closebtn.addEventListener('click',deactivateModel)
        // registerLink.addEventListener('click',activateRegister);
        // loginLink.addEventListener('click',deactivateRegister);
        // function activateRegister(){
        //     boxmodel.classList.add('active')
        // }
        // function deactivateRegister(){
        //     boxmodel.classList.remove('active')
        // }
        
    </script>
</body>
</html>